Class | Stella::Testplan
In: | lib/stella/testplan.rb
Parent: | Storable

### Methods

checkup cust destroy! favicon? first_request freeze from_hash global global? host hostid id inherited init monitor monitored? owner? plan plan? planid plans postprocess preprocess run

### Included Modules

Gibbler::Complex Familia Common::PrivacyMethods Familia::Stamps

### Classes and Modules

Module Stella::Testplan::ClassMethods

### Attributes

plans | [R] |

### Public Class methods

from_hash(*args)
global()
global?(name)
inherited(obj)
plan(klass,v=nil)
plan?(name)
plans()

### Public Instance methods

checkup(base_uri, opts={})
cust()
destroy!()
favicon?()
first_request()
freeze()
host()
hostid()
id()
init(uri=nil)
monitor()
monitored?()
owner?(guess)
planid()

Alias for id

postprocess()
preprocess()
run(engine, opts={})

[Validate]